kshowmail: KFeedbackAnswer Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KFeedbackAnswer Class Reference

List of all members.

## Public Member Functions
| KFeedbackAnswer (KFeedbackQuestion *parent, const TQString &text, const TQString &id, bool exclusive=true)
TQString | id ()
TQString | text ()
bool | isExclusive ()
bool | isChecked ()
KFeedbackAnswer * | nextAnswer () const
KFeedbackQuestion * | question () const
virtual TQString | key (int column, bool ascending) const
virtual void | stateChange (bool newState)
## Protected Attributes
TQString | _id
bool | _exclusive
int | _no

## Detailed Description

Definition at line 388 of file kfeedback.h.

## Constructor & Destructor Documentation

KFeedbackAnswer::KFeedbackAnswer | ( | KFeedbackQuestion * | parent,
|  | const TQString & | text,
|  | const TQString & | id,
|  | bool | exclusive = `true` |
| ) |  |  |

Constructor.

'exclusive' tells the type of answer: One of many allowed or any number of many.

Definition at line 458 of file kfeedback.cpp.

References _no.

## Member Function Documentation

TQString KFeedbackAnswer::id | ( |  | ) | `[inline]`

Return this answer's ID.

Definition at line 405 of file kfeedback.h.

References _id.

Referenced by KFeedbackQuestion::result().

TQString KFeedbackAnswer::text | ( |  | ) |

Return this answer's text.

Definition at line 474 of file kfeedback.cpp.

bool KFeedbackAnswer::isExclusive | ( |  | ) | `[inline]`

Returns whether or not this is an exclusive answer.

Definition at line 415 of file kfeedback.h.

References _exclusive.

bool KFeedbackAnswer::isChecked | ( |  | ) | `[inline]`

Returns whether or not this answer is checked.

Definition at line 420 of file kfeedback.h.

Referenced by KFeedbackQuestion::isAnswered(), and KFeedbackQuestion::result().

KFeedbackAnswer* KFeedbackAnswer::nextAnswer | ( |  | ) | const`[inline]`

Returns the next possible answer or 0 if there is no more.

Definition at line 425 of file kfeedback.h.

Referenced by KFeedbackQuestion::isAnswered(), and KFeedbackQuestion::result().

KFeedbackQuestion* KFeedbackAnswer::question | ( |  | ) | const`[inline]`

Returns the question to this answer.

Definition at line 431 of file kfeedback.h.

Referenced by stateChange().

TQString KFeedbackAnswer::key | ( | int | column,
|  | bool | ascending |
| ) |  |  | const`[virtual]`

Returns the sort key.

Reimplemented from TQListViewItem to maintain insertion order.

Definition at line 481 of file kfeedback.cpp.

References _no.

void KFeedbackAnswer::stateChange | ( | bool | newState | ) | `[virtual]`

On/off change.

Reimplemented from TQCheckListItem to monitor answering required questions. This method notifies the KFeedbackQuestionList whenever a required question is being answered.

Definition at line 491 of file kfeedback.cpp.

References question(), KFeedbackQuestionList::questionAnswered(), and KFeedbackQuestion::questionList().

The documentation for this class was generated from the following files:

- kshowmail/kfeedback.h
- kshowmail/kfeedback.cpp